# Create Marketplace

{% hint style="info" %}
An API Key is required to interact with Launchpad APIs. Please contact us to get an API Key and get started.
{% endhint %}

Use this endpoint to register a new Marketplace. Having a marketplace registered allows the marketplace to specify marketplace fees and launchpad fees for buying and selling ordinals. Marketplace fees are paid out when an ordinal is sold. Fees are transferred to the address specified in a trustless way as part of the purchase transaction. This endpoint can also be used to specify launchpad configuration to create a launchpad. marketplace fees and launchpad fees are separate<br>

### `POST` Create a new marketplace

## Create Marketplace

<mark style="color:green;">`POST`</mark> `https://api.ordinalsbot.com/legacy-marketplace/create-marketplace`

API Key is required in the header:

`headers: { 'x-api-key': '<YOUR_API_KEY>', ...otherHeaders }`\
\
Example Request Body:\
\
`{`\
&#x20;   `"name" : "Marketplace Name",`\
&#x20;   `"sellerFee" : 500,`\
&#x20;   `"buyerFee" : 500,`\
&#x20;   `"btcFeePayoutAddress" : "3En...38L",`\
&#x20;   `"url" : "https://www.marketplace.com",`\
&#x20;   `"launchpadBuyerFee": 100,`\
&#x20;   `"launchpadSellerFee": 500,`\
&#x20;   `"launchpadBtcFeePayoutAddress": "2Mx...Erx"`\
&#x20;   `"description" : "This is a test marketPlace"`\
&#x20;\
`}`

#### Request Body

| Name                                   | Type   | Description                                                                                                                                                             |
| -------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sellerFee                              | Number | Fees to be charged to the seller when listing an ordinal for sale on the marketplace. Fees should be specified in basis points for example 10% would be 1000            |
| buyerFee                               | Number | <p>Fees that will be charged to the buyer when an ordinal is sold on the marketplace. Fees should be specified in basis points for example 10% would be 1000</p><p></p> |
| btcFeePayoutAddress                    | String | The address for paying out marketplace fees                                                                                                                             |
| name<mark style="color:red;">\*</mark> | String | Name for the marketplace                                                                                                                                                |
| url                                    | String | URL for the marketplace                                                                                                                                                 |
| description                            | String | Short description for the marketplace                                                                                                                                   |
| launchpadBuyerFee                      | Number | Fees that will be charged to the buyer when buying from launchpad. Fees should be specified in basis points for example 10% would be 1000                               |
| launchpadSellerFee                     | Number | Fees that will be charged to the seller when an inscription is listed on launchpad. Fees should be specified in basis points for example 10% would be 1000              |
| launchpadBtcFeePayoutAddress           | String | The address for paying out launchpad fees                                                                                                                               |

{% tabs %}
{% tab title="200: OK " %}

```json

{
    "marketPlaceId": "123abce79a817d55d0e7123", // your new marketplace id
    "apiKey": "366e7416-9e95-459f-bee9-fe8abbf4591b" // the api key you provided
}

```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    status: 'error',
    error: 'error reason'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/preinscribedlaunchpad/create-marketplace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
